# GNUmakefile          Section: 2.6  Max-min Sharpening Transform
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES = IA_
CLOSUREOBJS       = closure-max-min.o

HEADERS = max-min.h
LOBJS   = MM_Specials.o

SOURCES	= max-min.h max-min.c MM_Specials.c closure-max-min.c test-max-min.c
TESTS	= test-max-min

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip


#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

max-min.srcs:	max-min.h max-min.c

MM_Specials.o:	MM_Specials.c  max-min.srcs

closure-max-min.o:	closure-max-min.c  max-min.srcs

ifeq (${LIBTEST},)
test-max-min.o:	test-max-min.c MM_Specials.o

test-max-min:	test-max-min.o  MM_Specials.o
	${LINK.cc} -o $@ $@.o   MM_Specials.o  ${LDLIBS}
	strip $@
else
test-max-min.o:	test-max-min.c
endif
